Retrieves the user_planning_slot with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "6709952e-a41f-40c2-9b0d-6e84670ca217",
  "user_id": "48d02bbb-6fa6-4384-8df1-b3edf9879817",
  "user_planning_slot_type_id": "28794700-2865-48ae-b88b-99332226e388",
  "date_from": "2026-10-30T16:32:03.552071+00:00",
  "date_to": "2026-10-30T16:32:03.552071+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-10-30T16:32:03.552071+00:00"
}